org.kie.internal.builder

## Enum DecisionTableInputType

- java.lang.Object
- - java.lang.Enum<DecisionTableInputType>
  - - org.kie.internal.builder.DecisionTableInputType

- All Implemented Interfaces:
    Serializable, Comparable<DecisionTableInputType>

      public enum DecisionTableInputType
      extends Enum<DecisionTableInputType>

  Specifies the type of decision table resource. Currently either XLS or CSV.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV`
    `XLS`
    `XLSX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecisionTableInputType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecisionTableInputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XLS

          public static final DecisionTableInputType XLS

    - #### XLSX

          public static final DecisionTableInputType XLSX

    - #### CSV

          public static final DecisionTableInputType CSV

  - ### Method Detail

    - #### values

          public static DecisionTableInputType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecisionTableInputType c : DecisionTableInputType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecisionTableInputType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.